# Class CIM_NextHopIPRoute
extends CIM_NextHopRoute

NextHopIPRoute specifies routing in an IP network.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_NextHopRoute
|
+--CIM_NextHopIPRoute

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | NextHopIPRoute specifies routing in an IP network.
UMLPackagePath | string | CIM::Network::Routes
Version | string | 2.40.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AddressType | uint16 |
Description | string | An enumeration that describes the format of the address properties.
ValueMap | string | 0, 1, 2
Values | string | Unknown, IPv4, IPv6
DestinationMask | string |
Description | string | The mask for the Ipv4 destination address.
ModelCorrespondence | string | CIM_IPProtocolEndpoint.SubnetMask
OtherDerivation | string |
Description | string | A string describing how the route was derived when the RouteDerivation property is 1 ("Other").
ModelCorrespondence | string | CIM_NextHopIPRoute.RouteDerivation
PrefixLength | uint8 |
Description | string | The prefix length for the IPv6 destination address.
ModelCorrespondence | string | CIM_IPProtocolEndpoint.IPv6SubnetPrefixLength
RouteDerivation | uint16 |
Description | string | An enumerated integer indicating how the route was derived. This is useful for display and query purposes.
ModelCorrespondence | string | CIM_NextHopIPRoute.OtherDerivation
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11
Values | string | Unknown, Other, Connected, User-Defined, IGRP, EIGRP, RIP, Hello, EGP, BGP, ISIS, OSPF

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
AdminDistance | uint16 | CIM_NextHopRoute
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
DestinationAddress | string | CIM_NextHopRoute
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_NextHopRoute
IsStatic | boolean | CIM_NextHopRoute
RouteMetric | uint16 | CIM_NextHopRoute
TypeOfRoute | uint16 | CIM_NextHopRoute

## Class Methods